# OpenVPN Server Config Files

## Notes

[Charlesreid1.com wiki: Notes on OpenVPN in general](https://charlesreid1.com/wiki/OpenVPN)

[Charlesreid1.com wiki: OpenVPN Static Key](https://charlesreid1.com/wiki/OpenVPN/Static_Key)

## Scripts

### OpenVPN Pre-Configuration

`charlesreid1_server.sh` is a big firewall configuration script. It opens port 1194 to UDP traffic for OpenVPN.

`charlesreid1_server_privoxy.sh` is a modified version of the above script, that sets port 1194 traffic to be TCP.

### OpenVPN Configuration

`rojo_server.ovpn` is an OpenVPN config file that sets the ip addresses to use, and sets the location of the secret key and log. 

### OpenVPN Running

See [charlesreid1.com wiki notes on OpenVPN static keys](https://charlesreid1.com/wiki/OpenVPN/Static_Key) 
for information about how to run OpenVPN on the server and the client.

